package genMVC;

import java.util.Map;

/**
 * Uhr mit MVC - Schnittstelle der View
 * @author Prof. Solymosi, Beuth-Hochschule fr Technik Berlin
 * @version 16.4.2012
 */
public interface IView {
	enum Ereignis { EIN, AUS, UM }
	static interface Lauscher {
		void aktion();
	}
	void setLauscher(Map<Ereignis, Lauscher> lauscher);
	void tick();
	void start();
	void stopp();
}
