package genObserver;
/**
 * Uhr mit MVC Oberserver - Hauptprogramm
 * @author Prof. Solymosi, Beuth-Hochschule fr Technik Berlin
 * @version 16.4.2012
 */
public class Main {
	public static void main(String[] args) {
		IModel model = new Model();
		Control control = new Control(model);
		control.addObserver(model);
		control.addObserver(new KreisView(model));
		control.addObserver(new DigitalView(model));
		control.start();
	}
}
