package mvcObserver;

import java.util.Observer;

/**
 * Uhr mit MVC - Schnittselle des Models 
 * Es lauscht auf das Control -> Observer
 * @author Prof. Solymosi, Beuth-Hochschule fr Technik Berlin
 * @version 16.4.2012
 */
public interface IModel extends Observer {
	static class Uhrzeit {
		private int stunde, minute, sekunde;	
		public Uhrzeit(int stunde, int minute, int sekunde) {
			this.stunde = stunde;
			this.minute = minute;
			this.sekunde = sekunde;
		}	
		public int getStunde() {
			return stunde;
		}	
		public int getMinute() {
			return minute;
		}	
		public int getSekunde() {
			return sekunde;
		}
	}
	Uhrzeit getUhrzeit();
	long getFrequenz();
}