package genMVC;

/**
 * Uhr mit MVC - Schnittselle des Models
 * @author Prof. Solymosi, Beuth-Hochschule fr Technik Berlin
 * @version 16.4.2012
 */
public interface IModel {
	static class Uhrzeit {
		private int stunde, minute, sekunde;	
		public Uhrzeit(int stunde, int minute, int sekunde) {
			this.stunde = stunde;
			this.minute = minute;
			this.sekunde = sekunde;
		}	
		public int getStunde() {
			return stunde;
		}	
		public int getMinute() {
			return minute;
		}	
		public int getSekunde() {
			return sekunde;
		}
	}
	void start();
	void stopp();
	void tick();
	Uhrzeit getUhrzeit();
	void umschalten();
	long getFrequenz();
}