package genObserver;

/**
 * Simple generic Observer implementation
 * @author Prof. Solymosi, Beuth-Hochschule fr Technik Berlin
 * @version 04/19/2012
 * @param <Event> enum - List of Events for messaging to Observers
 */
public interface Observer<Event extends Enum<Event>> {
	/**
	 * Message processing
	 * @param observer - the object sending the message
	 */
	void update(Observable<Event> o, Event e);  
}
