package uhrMVVC;

/**
 * Uhr mit MVVC
 * Control
 * @author Prof. Solymosi, Beuth-Hochschule fr Technik Berlin
 * @version 16.4.2012
 */
public abstract class Control {
	public Control(final IModel model, final IView view) {
		new Thread() {
			@Override
			public void run() {
				try {
					while (true) {
						Thread.sleep(model.getFrequenz());
						model.tick();
						view.tick();
					}
				} catch (InterruptedException e) {
				}
			}
		}.start();
		model.start();
	}
}
