package uhrMVVC;

import java.awt.event.ActionListener;

/**
 * Uhr mit MVVC
 * Control
 * @author Prof. Solymosi, Beuth-Hochschule fr Technik Berlin
 * @version 16.4.2012
 */
public class DigitalControl extends Control {
	public DigitalControl(final IModel model, final DigitalView view) {
		super(model, view);
		view.setLauscher(new ActionListener() { // Ereignisbehandlung beim Knopfdruck
			@Override
			public void actionPerformed(java.awt.event.ActionEvent e) {
				switch (e.getActionCommand()) {
				case DigitalView.KNOPF_EIN:
					model.start();
					view.start();
					break;
				case DigitalView.KNOPF_AUS:
					model.stopp();
					view.stopp();
					break;
				case DigitalView.KNOPF_UM: 
					model.umschalten();
				};
			}
		});

	}
}
