package uhrMVVC;

import java.awt.event.KeyAdapter;

/**
 * Uhr mit MVVC
 * Control
 * @author Prof. Solymosi, Beuth-Hochschule fr Technik Berlin
 * @version 16.4.2012
 */
public class KreisControl extends Control {
	public KreisControl(final IModel model, final KreisView view) {
		super(model, view);
		view.setLauscher(new KeyAdapter() { // Ereignisbehandlung beim Tastendruck
			@Override
			public void keyPressed(java.awt.event.KeyEvent e) {
				switch (e.getKeyChar()) {
				case 'E': // "Ein"
					model.start();
					view.start();
					break;
				case 'A': // "Aus"
					model.stopp();
					view.stopp();
					break;
				case 'U': // "Um"
					model.umschalten();					
				}
			}
		});
	}
}
